summaryrefslogtreecommitdiffstats
path: root/source/a/aaa_elflibs
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/aaa_elflibs')
-rwxr-xr-xsource/a/aaa_elflibs/aaa_elflibs.SlackBuild45
-rwxr-xr-xsource/a/aaa_elflibs/display_orphans.sh44
-rw-r--r--source/a/aaa_elflibs/slack-desc4
-rw-r--r--source/a/aaa_elflibs/symlinks-to-tracked-libs36
-rw-r--r--source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp7
-rw-r--r--source/a/aaa_elflibs/tracked-files6
-rw-r--r--source/a/aaa_elflibs/tracked-files-tmp5
7 files changed, 123 insertions, 24 deletions
diff --git a/source/a/aaa_elflibs/aaa_elflibs.SlackBuild b/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
index 8fd9f3fe8..f71a2374b 100755
--- a/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
+++ b/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,13 +21,13 @@
PKGNAM=aaa_elflibs
-VERSION=${VERSION:-14.1}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-14.2}
+BUILD=${BUILD:-23}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -46,8 +46,13 @@ PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
+if [ -x /sbin/ldconfig ]; then
+ /sbin/ldconfig
+fi
+
cd $PKG
cat $CWD/symlinks-to-tracked-libs \
+ | grep -v "^#" | grep -v "^$" \
| sed -e "s#^/lib/#/lib${LIBDIRSUFFIX}/#" \
-e "s#^/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" \
| while read library ; do
@@ -61,7 +66,39 @@ cat $CWD/symlinks-to-tracked-libs \
cp -a $(dirname $library)/$(readlink $library) .
)
done
+
cat $CWD/tracked-files \
+ | grep -v "^#" | grep -v "^$" \
+ | sed -e "s#^/lib/#/lib${LIBDIRSUFFIX}/#" \
+ -e "s#^/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" \
+ | while read library ; do
+ ( [ ! -e $library ] && continue
+ echo "Adding $library"
+ mkdir -p $(dirname $library | cut -b2- )
+ cd $(dirname $library | cut -b2- )
+ rm -f $(basename $library)
+ cp -a $library .
+ )
+done
+
+cat $CWD/symlinks-to-tracked-libs-tmp \
+ | grep -v "^#" | grep -v "^$" \
+ | sed -e "s#^/lib/#/lib${LIBDIRSUFFIX}/#" \
+ -e "s#^/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" \
+ | while read library ; do
+ ( [ ! -e $library ] && continue
+ echo "Adding $library"
+ mkdir -p $(dirname $library | cut -b2- )
+ cd $(dirname $library | cut -b2- )
+ rm -f $(basename $library)
+ cp -a $library .
+ rm -f $(readlink $library)
+ cp -a $(dirname $library)/$(readlink $library) .
+ )
+done
+
+cat $CWD/tracked-files-tmp \
+ | grep -v "^#" | grep -v "^$" \
| sed -e "s#^/lib/#/lib${LIBDIRSUFFIX}/#" \
-e "s#^/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" \
| while read library ; do
diff --git a/source/a/aaa_elflibs/display_orphans.sh b/source/a/aaa_elflibs/display_orphans.sh
new file mode 100755
index 000000000..32bd570bd
--- /dev/null
+++ b/source/a/aaa_elflibs/display_orphans.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+# Show libraries that are only present in the aaa_elflibs that is currently
+# installed on the system.
+
+cleanup() {
+ rm -r $TMPDIR
+}
+
+trap 'cleanup' 2 14 15 # trap CTRL+C and kill
+
+TMPDIR="$(mktemp -d /tmp/find-aaaelfliborphans.XXXXXX)"
+
+cp -a /var/log/packages/* $TMPDIR
+rm -f $TMPDIR/aaa_elflibs-*
+cat /var/log/packages/aaa_elflibs-* | grep -v -e PACKAGE -e aaa_elflibs: -e FILE -e '^\./$' -e install/ | grep -v '/$' | while read file ; do
+ if ! grep -q $file $TMPDIR/* ; then
+ echo $file
+ fi
+done
+
+cleanup
+
diff --git a/source/a/aaa_elflibs/slack-desc b/source/a/aaa_elflibs/slack-desc
index 29a6c8fbe..86996375b 100644
--- a/source/a/aaa_elflibs/slack-desc
+++ b/source/a/aaa_elflibs/slack-desc
@@ -12,8 +12,8 @@ aaa_elflibs: This is a collection of shared libraries needed to run Linux progra
aaa_elflibs: ELF (Executable and Linking Format) is the standard Linux binary
aaa_elflibs: format. These libraries are gathered from other Slackware packages
aaa_elflibs: and are intended to give a fairly complete initial set of libraries.
-aaa_elflibs: This package should be not upgraded or reinstalled (it could copy
-aaa_elflibs: over newer library versions).
+aaa_elflibs:
+aaa_elflibs:
aaa_elflibs:
aaa_elflibs:
aaa_elflibs:
diff --git a/source/a/aaa_elflibs/symlinks-to-tracked-libs b/source/a/aaa_elflibs/symlinks-to-tracked-libs
index f19a6b9e8..a8ac5e2f5 100644
--- a/source/a/aaa_elflibs/symlinks-to-tracked-libs
+++ b/source/a/aaa_elflibs/symlinks-to-tracked-libs
@@ -1,3 +1,6 @@
+# This file lists shared library symlinks for libraries we would
+# like to keep copies of in the aaa_symlinks package.
+
/lib/libacl.so.1
/lib/libattr.so.1
/lib/libbz2.so.1
@@ -5,60 +8,61 @@
/lib/libcap.so.2
/lib/libdm.so.0
/lib/libfuse.so.2
-/lib/libgpm.so.1
/lib/libgpm.so.2
/lib/liblzma.so.5
/lib/libncurses.so.5
/lib/libncursesw.so.5
+/lib/libpcre.so.1
+/lib/libpcreposix.so.0
/lib/libpopt.so.0
/lib/libsysfs.so.2
/lib/libtermcap.so.2
/lib/libz.so.1
/usr/lib/libasound.so.2
-/usr/lib/libcurl.so.2
-/usr/lib/libcurl.so.3
/usr/lib/libcurl.so.4
-/usr/lib/libelf.so.0
-/usr/lib/libexpat.so.0
+/usr/lib/libelf.so.1
/usr/lib/libexpat.so.1
/usr/lib/libform.so.5
/usr/lib/libformw.so.5
-/usr/lib/libfreetype.so.6
-/usr/lib/libgdbm.so.2
/usr/lib/libgdbm.so.3
+/usr/lib/libgdbm.so.4
/usr/lib/libglib-2.0.so.0
/usr/lib/libgmodule-2.0.so.0
-/usr/lib/libgmp.so.3
/usr/lib/libgmp.so.10
-/usr/lib/libgmpxx.so.3
/usr/lib/libgmpxx.so.4
/usr/lib/libgobject-2.0.so.0
/usr/lib/libgthread-2.0.so.0
/usr/lib/libhistory.so.5
+/usr/lib/libhistory.so.6
/usr/lib/libidn.so.11
/usr/lib/libjpeg.so.62
+/usr/lib/libturbojpeg.so.0
/usr/lib/libjpeg.so.8
/usr/lib/liblber-2.4.so.2
/usr/lib/libldap-2.4.so.2
-/usr/lib/libltdl.so.3
/usr/lib/libltdl.so.7
/usr/lib/libmenu.so.5
/usr/lib/libmenuw.so.5
/usr/lib/libmm.so.14
-/usr/lib/libmpfr.so.1
+/usr/lib/libmpfr.so.4
/usr/lib/libpanel.so.5
/usr/lib/libpanelw.so.5
-/usr/lib/libpcre.so.0
-/usr/lib/libpcre.so.1
-/usr/lib/libpcreposix.so.0
-/usr/lib/libpng.so.3
/usr/lib/libpng.so.14
-/usr/lib/libpng12.so.0
/usr/lib/libpng14.so.14
+/usr/lib/libpng16.so.16
/usr/lib/libreadline.so.5
+/usr/lib/libreadline.so.6
+/usr/lib/libsigsegv.so.2
/usr/lib/libslang.so.1
/usr/lib/libslang.so.2
+/usr/lib/libssh2.so.1
+/usr/lib/libstdc++.so.5
+/usr/lib/libstdc++.so.6
+/usr/lib/libtdb.so.1
/usr/lib/libtiff.so.3
+/usr/lib/libtiffxx.so.3
+/usr/lib/libtiffxx.so.5
+/usr/lib/libtiff.so.5
/usr/lib/libusb-0.1.so.4
/usr/lib/libusb-1.0.so.0
/usr/lib/libvga.so.1
diff --git a/source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp b/source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp
new file mode 100644
index 000000000..13323985f
--- /dev/null
+++ b/source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp
@@ -0,0 +1,7 @@
+# This file lists shared library symlinks for libraries we would
+# like to keep copies of temporarily until we can recompile
+# everything that's still using them. Once that happens, they'll
+# be dropped from this package.
+
+/lib/libudev.so.0
+/lib/libudev.so.1
diff --git a/source/a/aaa_elflibs/tracked-files b/source/a/aaa_elflibs/tracked-files
index 16b731ba0..f112d04dd 100644
--- a/source/a/aaa_elflibs/tracked-files
+++ b/source/a/aaa_elflibs/tracked-files
@@ -1,5 +1,7 @@
-/lib/libdb-3.1.so
-/lib/libdb-3.3.so
+# This is a list of files (usually libraries) that we want to include
+# in aaa_elflibs but which don't have a shared library symlink pointing
+# at them.
+
/lib/libdb-4.2.so
/lib/libdb-4.4.so
/lib/libdevmapper.so.1.02
diff --git a/source/a/aaa_elflibs/tracked-files-tmp b/source/a/aaa_elflibs/tracked-files-tmp
new file mode 100644
index 000000000..58b6c36d1
--- /dev/null
+++ b/source/a/aaa_elflibs/tracked-files-tmp
@@ -0,0 +1,5 @@
+# This is a list of files (usually libraries) that we want to keep
+# copies of temporarily until we can recompile everything that's
+# still using them. Once that happens, they'll be dropped from
+# this package.
+